KDE 4.9 PyKDE API Reference

- KDE's Python API

# FlashingLabel Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

FlashingLabel plasma/widgets/flashinglabel.h <Plasma/Widgets/FlashingLabel>

Provides flashing text or icons inside Plasma

## Methods

| __init__ (self, QGraphicsItem parent=0)
bool | autohide (self)
QColor | color (self)
int | duration (self)
| fadeIn (self)
| fadeOut (self)
| flash (self, QString text, int duration=0, QTextOption option=QTextOption(Qt.AlignCenter))
| flash (self, QPixmap pixmap, int duration=0, Qt::Alignment align=Qt.AlignCenter)
QFont | font (self)
| kill (self)
| paint (self, QPainter painter, QStyleOptionGraphicsItem option, QWidget widget=0)
| setAutohide (self, bool autohide)
| setColor (self, QColor a0)
| setDuration (self, int duration)
| setFont (self, QFont a0)
QSizeF | sizeHint (self, Qt::SizeHint which, QSizeF constraint)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsItem | parent=0
| ) |  |  |

bool autohide | ( |  | self ) |

QColor color | ( |  | self ) |

int duration | ( |  | self ) |

fadeIn | ( |  | self ) |

fadeOut | ( |  | self ) |

flash | ( | self, |
|  | QString | text,
|  | int | duration=0,
|  | QTextOption | option=QTextOption(Qt.AlignCenter)
| ) |  |  |

flash | ( | self, |
|  | QPixmap | pixmap,
|  | int | duration=0,
|  | Qt::Alignment | align=Qt.AlignCenter
| ) |  |  |

QFont font | ( |  | self ) |

kill | ( |  | self ) |

paint | ( | self, |
|  | QPainter | painter,
|  | QStyleOptionGraphicsItem | option,
|  | QWidget | widget=0
| ) |  |  |

setAutohide | ( | self, |
|  | bool | autohide
| ) |  |  |

setColor | ( | self, |
|  | QColor | a0
| ) |  |  |

setDuration | ( | self, |
|  | int | duration
| ) |  |  |

setFont | ( | self, |
|  | QFont | a0
| ) |  |  |

QSizeF sizeHint | ( | self, |
|  | Qt::SizeHint | which,
|  | QSizeF | constraint
| ) |  |  |